{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block body %}

    {% block moreCss %}
        <link rel="stylesheet" href="{{ asset('vendor/chart/Chart.min.css') }}">
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Tryout Akbar
        {% endblock %}



    {% endembed %}

    {#    Tagihan#}
    <section class="container-fluid mt-1" id="content">

        <div class="bunder mt-5" style="border: 1rem solid var(--primaryColorLight); height: 13em; width: 13em">
            <div>
                <p class="f14 0 m-0">NILAI</p>
                <p class="f20 p-0 m-0" id="nilai">0</p>
            </div>
        </div>

        <div class="text-center mt-4">
            <a id="rank" class="bt-primary f12 " href="#" style="padding: 0.3em 1em">Lihat
                Peringkat</a>

            <div class="gen-card p-3 mt-4">
                <div class="d-flex justify-content-between">
                    <p class="font-weight-bold mb-4">Waktu Mengerjakan</p>
                    <p class="font-weight-bold mb-4" id="waktu"></p>
                </div>

                <div class="d-flex justify-content-between">
                    <p class="font-weight-bold mb-4">Jawaban Benar</p>
                    <p class="font-weight-bold text-success mb-4" id="correct"></p>
                </div>

                <div class="d-flex justify-content-between">
                    <p class="font-weight-bold mb-4">Jawaban Salah</p>
                    <p class="font-weight-bold text-danger mb-4" id="wrong"></p>
                </div>

                <div class="d-flex justify-content-between">
                    <p class="font-weight-bold mb-4">Soal Tidak Dijawab</p>
                    <p class="font-weight-bold mb-4" id="none"></p>
                </div>

                {#                <div class="d-flex justify-content-between">#}
                {#                    <p class="font-weight-bold mb-4">Pengalaman Didapatkan</p>#}
                {#                    <p class="font-weight-bold mb-4">200</p>#}
                {#                </div>#}

                {#                <div class="d-flex justify-content-between">#}
                {#                    <p class="font-weight-bold mb-0">Poin Didapatkan</p>#}
                {#                    <p class="font-weight-bold mb-0">200</p>#}
                {#                </div>#}
            </div>

            <p class="f12 font-weight-bold text-left mt-5">Nilai Tiap Mata Pelajaran</p>

            <div id="subjects">

            </div>
            <div id="subsToLearn"></div>
            <div id="recommendation"></div>


        </div>
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/chart/Chart.min.js') }}"></script>

    <script>
        function generateRateStar(value) {
            let result = '';
            for (let i = 0; i < Math.floor(value); i++) {
                result += '<i class="fa fa-star"></i>';
            }
            let tempValue = value - Math.floor(value);
            if (tempValue < 1 && tempValue > 0) {
                result += '<i class="fa fa-star-half-o"></i>';
                for (let i = 0; i < 5 - (Math.floor(value) + 1); i++) {
                    result += '<i class="fa fa-star-o"></i>';
                }
            } else {
                for (let i = 0; i < 5 - (Math.floor(value)); i++) {
                    result += '<i class="fa fa-star-o"></i>';
                }
            }
            return result;
        }
        function cardResult(v) {
            let slug = v[0]['slug'];
            let tentorAvatar = v[0]['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
            let tentorName = v[0]['user']['profile']['name'];
            let tentorGrade = v[0]['user']['profile']['grade']['id'] === 2 ? '<a class="pro">PRO</a>' : '';
            let tentorAbout = v[0]['user']['profile']['about'] || '';
            let rating = v[0]['user']['avgRatings'];
            let price = v['price'];
            let district = v[0]['user']['district'] || [];
            let elDistrict = '';
            $.each(district, function (k, v) {
                elDistrict += '<a class="area bt-outline-grey-a">' + v['districtName'] + '</a>';
            });
            return '<div class="gen-card-guru card-tentor"  data-slug="' + slug + '">' +
                '<div class="content-guru">' +
                '<div class="image-div"><img src="' + tentorAvatar + '" alt="' + tentorAvatar + '"></div>' +
                '<div class="data-div">' +
                '<div class="nama-div">' +
                '<p class="nama">' + tentorName + '</p>' + tentorGrade +
                '</div>' +
                '<div class="star-div">' + generateRateStar(rating) +
                '</div>' +
                // '<a id="rank" class="bt-primary f12 mt-2 mb-2 left " href="#" style="padding: 0.3em 1em">'+ v[0]['level']['name'] +'</a>' +
                '<div class="nav w-100 d-flex mt-3">' +
                '<div class="nav-item nav-link text-center tab-pils" style="padding: 0.2em 1em;background-color: #E1F5FE; color: var(--primary)">'
                + v[0]['level']['name'] +'</div>' +
                '</div>'+
                '<p class="deskripsi text-left">' + tentorAbout + '</p></div>' +
                '</div>' +

                '<div class="text-right mt-2">' +
                '<a class="t-primary font-weight-bold">Rp. ' + formatUang(price) + '/Jam</a>' +
                '</div>' +
                '</div>';
        }

        function fetchData(data) {
            $("#nilai").html((parseInt(data['main'][0]['finalScore']) / parseInt(data['main'][0]['finalQuizNumber'])).toFixed(2));
            $("#waktu").html(data['main'][0]['durationWork']);
            $("#correct").html(data['main'][0]['numberOfCorrect']);
            $("#wrong").html(data['main'][0]['numberOfWrong']);
            $("#none").html((parseInt(data['main'][0]['finalQuizNumber']) - (parseInt(data['main'][0]['numberOfWrong']) + parseInt(data['main'][0]['numberOfCorrect']))));

            let html = '';
            let toLearn = ' <p class="f12 font-weight-bold text-left mt-5 mb-1">Rekomendasi Belajar</p>\n' +
                '            <p class="text-left">Topik yang harus kamu pelajari lagi berdasarkan quiz yang telah kamu kerjain</p>\n';
            data['subjects'].map(function (single, key) {
                console.log(single);
                if (key === 0) {
                    let tr = "{{ path('peringkatTryout', {tryout: "zen"}) }}";
                    tr = tr.replace("zen", single[0]['registration']['tryOut']['id']);
                    $("#rank").attr("href", tr);
                }
                html += '<div class="gen-card p-3">\n' +
                    '                <div class="d-flex">\n' +
                    '                    <div style="width: 5em" class="text-left">\n' +
                    '                        <img src="' + single[0]['subject']['subject']['icon'] + '" style="width: 4em; height: 4em; border-radius: 15px; object-fit: cover">\n' +
                    '                    </div>\n' +
                    '                    <p class="flex-grow-1 font-weight-bold text-left">' + single[0]['subject']['subject']['name'] + '</p>\n' +
                    '                    <p class="font-weight-bold f12 text-success">' + (parseInt(single['finalScore']) / parseInt(single['finalQuizNumber'])).toFixed(2) + '</p>\n' +
                    '                </div>\n' +
                    '                <div class="d-flex">\n' +
                    '                    <div style="width: 5em" class="text-left">\n' +
                    '\n' +
                    '                    </div>\n' +
                    '                    <div class="d-flex align-items-center mb-2">\n' +
                    '                        <i class="mdi mdi-check-circle text-success f16 mr-1"></i>\n' +
                    '                        <p class="mb-0 mr-3">' + parseInt(single['numberOfCorrect']) + '</p>\n' +
                    '\n' +
                    '                        <i class="mdi mdi-cancel text-danger f16 mr-1"></i>\n' +
                    '                        <p class="mb-0 mr-3">' + parseInt(single['numberOfWrong']) + '</p>\n' +
                    '\n' +
                    '                        <i class="mdi mdi-do-not-disturb-on text-black-50 f16 mr-1"></i>\n' +
                    '                        <p class="mb-0 mr-3"></p>\n' +
                    '                    </div>\n' +
                    '                </div>\n' +
                    '            </div>';
            });
            $("#subjects").html(html);


            data['subjectToLearn'].map(function (s, k) {
                toLearn += '<p class="gen-card p-3">' + s + '</p>';
            });
            if (data['subjectToLearn'].length > 0) {
                $("#subsToLearn").html(toLearn)
            }
            let htmlRec = '<p class="f12 font-weight-bold text-left mt-5 mb-1">Guru Matematika Terbaik Yang Ada Di Dekatmu</p>\n';
            data['recommendation'].map(function (s, k) {
                htmlRec += cardResult(s);
            });
            if( data['recommendation'].length > 0){
                $("#recommendation").html(htmlRec);
            }
        }
    </script>
    {{ f.ajaxCall("fetchData", path("result-tryout-detail-api", {to : ref}), "GET") }}

{% endblock %}